freemarker.core

## Class CommandLine

- java.lang.Object
- - freemarker.core.CommandLine

Deprecated.
Will be removed (main method in a library, often classified as CWE-489 "Leftover Debug Code").

    @Deprecated
    public class CommandLine
    extends Object

FreeMarker command-line utility, the Main-Class of `freemarker.jar`. Currently it just prints the version number.

### Constructor Summary

Constructors
Constructor and Description
`CommandLine()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `main(String[] args)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandLine

    public CommandLine()

Deprecated.

### Method Detail

#### main

    public static void main(String[] args)

Deprecated.